<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="cISReportInfra">
            <h2><span>CIS Report by Infrastructure</span> {{ cISReportInfra.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Infrastructure</span></dt>
                <dd>
                    <span>{{ cISReportInfra.infrastructure }}</span>
                </dd>
                <dt><span>Total Pass</span></dt>
                <dd>
                    <span>{{ cISReportInfra.totalPass }}</span>
                </dd>
                <dt><span>Total Fail</span></dt>
                <dd>
                    <span>{{ cISReportInfra.totalFail }}</span>
                </dd>
                <dt><span>Total Warn</span></dt>
                <dd>
                    <span>{{ cISReportInfra.totalWarn }}</span>
                </dd>
                <dt><span>Total Info</span></dt>
                <dd>
                    <span>{{ cISReportInfra.totalInfo }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button" hidden 
                    [routerLink]="['/cis-report-infra', cISReportInfra.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
